Skip to main content
Model id: deepseek-ai/DeepSeek-V3.1 — pass this as the model field in API requests.

Spec

Providerdeepseek-ai
HuggingFacedeepseek-ai/DeepSeek-V3.1
Context length163,840 tokens
Max output4,096 tokens
Quantizationmanaged
Input modalitiestext
Output modalitiestext

Pricing

per million tokens
Input$0.60
Output$1.70
Cache Read$0.06

Supported features

tools, json_mode, structured_outputs, reasoning

Sampling parameters

temperature, top_p, top_k, max_tokens, stop, seed, frequency_penalty, presence_penalty, repetition_penalty, logprobs, top_logprobs

Example

curl https://api.tera.gw/v1/chat/completions \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $TERA_API_KEY" \
  -d '{
    "model": "deepseek-ai/DeepSeek-V3.1",
    "messages": [{"role": "user", "content": "Hello"}],
    "max_tokens": 256
  }'